Bug 815111 - [abrt] gnome-games-3.2.1-3.fc16: optparse.py:1669:print_help:UnicodeDecodeError: 'ascii' codec can't decode byte 0xe9 in position 31: ordinal not in range(128)
[abrt] gnome-games-3.2.1-3.fc16: optparse.py:1669:print_help:UnicodeDecodeErr...
Product: Fedora
Classification: Fedora
Component: gnome-games (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-04-22 11:40 EDT by Flos Lonicerae
Modified: 2013-02-13 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-02-13 17:07:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
File: smolt_data (2.96 KB, text/plain)
2012-04-22 11:40 EDT, Flos Lonicerae
no flags Details

  None (edit)
Description Flos Lonicerae 2012-04-22 11:40:34 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        python /usr/bin/gnome-sudoku --help
executable:     /usr/bin/gnome-sudoku
kernel:         3.3.1-5.fc16.x86_64
reason:         optparse.py:1669:print_help:UnicodeDecodeError: 'ascii' codec can't decode byte 0xe9 in position 31: ordinal not in range(128)
time:           2012年04月22日 星期日 23时40分05秒
uid:            1000
username:       shine

smolt_data:     Binary file, 3028 bytes

:optparse.py:1669:print_help:UnicodeDecodeError: 'ascii' codec can't decode byte 0xe9 in position 31: ordinal not in range(128)
:Traceback (most recent call last):
:  File "/usr/bin/gnome-sudoku", line 23, in <module>
:    start_game()
:  File "/usr/lib/python2.7/site-packages/gnome_sudoku/gnome_sudoku.py", line 21, in start_game
:    import main
:  File "/usr/lib/python2.7/site-packages/gnome_sudoku/main.py", line 14, in <module>
:    import game_selector
:  File "/usr/lib/python2.7/site-packages/gnome_sudoku/game_selector.py", line 10, in <module>
:    from simple_debug import simple_debug
:  File "/usr/lib/python2.7/site-packages/gnome_sudoku/simple_debug.py", line 20, in <module>
:    options, args = parser.parse_args()
:  File "/usr/lib64/python2.7/optparse.py", line 1399, in parse_args
:    stop = self._process_args(largs, rargs, values)
:  File "/usr/lib64/python2.7/optparse.py", line 1439, in _process_args
:    self._process_long_opt(rargs, values)
:  File "/usr/lib64/python2.7/optparse.py", line 1514, in _process_long_opt
:    option.process(opt, value, values, self)
:  File "/usr/lib64/python2.7/optparse.py", line 788, in process
:    self.action, self.dest, opt, value, values, parser)
:  File "/usr/lib64/python2.7/optparse.py", line 810, in take_action
:    parser.print_help()
:  File "/usr/lib64/python2.7/optparse.py", line 1669, in print_help
:    file.write(self.format_help().encode(encoding, "replace"))
:UnicodeDecodeError: 'ascii' codec can't decode byte 0xe9 in position 31: ordinal not in range(128)
:Local variables in innermost frame:
:self: <optparse.OptionParser instance at 0x18a37e8>
:file: <gnome_sudoku.gnome_sudoku.SafeStdout instance at 0x7f5aab3e28c0>
:encoding: 'ascii'

:1. open a terminal
:2. run 'gnome-sudoku --help'
:3. abrt pops up
:my env:
:[shine@localhost ~]$ env
:LESSOPEN=||/usr/bin/lesspipe.sh %s
Comment 1 Flos Lonicerae 2012-04-22 11:40:38 EDT
Created attachment 579314 [details]
File: smolt_data
Comment 2 Fedora End Of Life 2013-01-16 12:26:53 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 3 Fedora End Of Life 2013-02-13 17:07:42 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.